---
title: "Request artifact access grant"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`POST /v2/entities/{entityId}/vault/fundraising/artifacts/{artifactId}/access-grant`

## Path parameters

- `entityId` (`startup-request-artifact-access-grant.path.entityId`; string, required)
  - format `uuid`
- `artifactId` (`startup-request-artifact-access-grant.path.artifactId`; string, required)
  - format `uuid`

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/vault/fundraising/artifacts/<artifactId>/access-grant' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/vault/fundraising/artifacts/<artifactId>/access-grant';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/vault/fundraising/artifacts/<artifactId>/access-grant"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "allowed": true,
    "reason": "string",
    "tokenNetwork": "base-mainnet",
    "tokenVerified": true,
    "expiresAt": "2019-08-24T14:15:22Z",
    "artifactId": "706a3f1e-c357-4634-b1bf-20c221b5bb4e",
    "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
    "documentUrl": "http://example.com",
    "documentUrlExpiresAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`startup-request-artifact-access-grant.response.200.data`; object, required)
  - `allowed` (`startup-request-artifact-access-grant.response.200.data.allowed`; boolean, required)
  - `reason` (`startup-request-artifact-access-grant.response.200.data.reason`; string, required)
  - `tokenNetwork` (`startup-request-artifact-access-grant.response.200.data.tokenNetwork`; string, required)
    - one of `"base-mainnet"`
  - `tokenVerified` (`startup-request-artifact-access-grant.response.200.data.tokenVerified`; boolean, required)
  - `expiresAt` (`startup-request-artifact-access-grant.response.200.data.expiresAt`; string, required, nullable)
    - format `date-time`
  - `artifactId` (`startup-request-artifact-access-grant.response.200.data.artifactId`; string, required)
    - format `uuid`
  - `collectionId` (`startup-request-artifact-access-grant.response.200.data.collectionId`; string, required)
    - format `uuid`
  - `documentUrl` (`startup-request-artifact-access-grant.response.200.data.documentUrl`; string, required, nullable)
    - format `uri`
  - `documentUrlExpiresAt` (`startup-request-artifact-access-grant.response.200.data.documentUrlExpiresAt`; string, required, nullable)
    - format `date-time`
- `meta` (`startup-request-artifact-access-grant.response.200.meta`; object, optional)
  - `timestamp` (`startup-request-artifact-access-grant.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-request-artifact-access-grant.response.400.error`; object, required)
  - `code` (`startup-request-artifact-access-grant.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-request-artifact-access-grant.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-request-artifact-access-grant.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-request-artifact-access-grant.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-request-artifact-access-grant.response.401.error`; object, required)
  - `code` (`startup-request-artifact-access-grant.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-request-artifact-access-grant.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-request-artifact-access-grant.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-request-artifact-access-grant.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-request-artifact-access-grant.response.403.error`; object, required)
  - `code` (`startup-request-artifact-access-grant.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-request-artifact-access-grant.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-request-artifact-access-grant.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-request-artifact-access-grant.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-request-artifact-access-grant.response.404.error`; object, required)
  - `code` (`startup-request-artifact-access-grant.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-request-artifact-access-grant.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-request-artifact-access-grant.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-request-artifact-access-grant.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-request-artifact-access-grant.response.409.error`; object, required)
  - `code` (`startup-request-artifact-access-grant.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-request-artifact-access-grant.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-request-artifact-access-grant.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-request-artifact-access-grant.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-request-artifact-access-grant.response.500.error`; object, required)
  - `code` (`startup-request-artifact-access-grant.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-request-artifact-access-grant.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-request-artifact-access-grant.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-request-artifact-access-grant.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-request-artifact-access-grant.response.503.error`; object, required)
  - `code` (`startup-request-artifact-access-grant.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-request-artifact-access-grant.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`startup-request-artifact-access-grant.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-request-artifact-access-grant.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startup-request-artifact-access-grant/index.md
